public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/thc-ipv6/files/, net-analyzer/thc-ipv6/
@ 2017-12-18 13:22 Michael Weber
  0 siblings, 0 replies; only message in thread
From: Michael Weber @ 2017-12-18 13:22 UTC (permalink / raw
  To: gentoo-commits

commit:     40977ebaba49d5200c18e942b30ac13939c0cc60
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 18 13:21:17 2017 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Mon Dec 18 13:22:17 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40977eba

net-analyzer/thc-ipv6: Version bump and add stdint.h include.

Closes: https://bugs.gentoo.org/639826
Package-Manager: Portage-2.3.19, Repoman-2.3.6

 net-analyzer/thc-ipv6/Manifest                             |  1 +
 net-analyzer/thc-ipv6/files/thc-ipv6-3.2-stdint.patch      | 10 ++++++++++
 net-analyzer/thc-ipv6/thc-ipv6-3.0.ebuild                  | 13 +++++++------
 .../thc-ipv6/{thc-ipv6-3.0.ebuild => thc-ipv6-3.2.ebuild}  | 14 +++++++-------
 net-analyzer/thc-ipv6/thc-ipv6-9999.ebuild                 | 14 +++++++-------
 5 files changed, 32 insertions(+), 20 deletions(-)

diff --git a/net-analyzer/thc-ipv6/Manifest b/net-analyzer/thc-ipv6/Manifest
index e66d2ceeb63..fa33a5183f1 100644
--- a/net-analyzer/thc-ipv6/Manifest
+++ b/net-analyzer/thc-ipv6/Manifest
@@ -2,3 +2,4 @@ DIST thc-ipv6-2.3.tar.gz 176918 BLAKE2B fc3c06324b25b8b2ff70a569955d584e0a4c2691
 DIST thc-ipv6-2.5.tar.gz 262015 BLAKE2B 91dac7cfa86c3afb59fc34c2fad648a1ef2402b0fdb1cf80aa94bfc6affd90533c7d96b72e0c9f7551f125b0f8cdeda87232fbc3fa408346c64f099ca31adea1 SHA512 7fc2dda9d83d25c61b3dc8576679e06866fd1144ca39d5e0b43bbd3c4da2583ec37ca901a43a817bdeec19226d3e252624d684f31bc7e94e08bdd811d5fb5466
 DIST thc-ipv6-2.7.tar.gz 661592 BLAKE2B 64b5b8779f25c111bb132e30242da8563dde687f4a88f902d8d72239efc5982613a148a38bfb3adc1a770bdbac20554832c5c3b95a57e5a9512629a225a97257 SHA512 0863ff36109e048a45ec220b98f0e2cf62b7214edcab4afa27a89fc5c0e41469f7e5733efeb56ed0d00cffcf57ceed3d7d32d813e8081d39f1a21e2646e0a0f3
 DIST thc-ipv6-3.0.tar.gz 667859 BLAKE2B 6fa4f697bf316c3b9730b58e35c3d8ac6910c0e063751037a0900aa459c128c5de9a07e4912025dd6eebb92061a7cc48a6e2e2a0b5d7d53b339e4d5416e4fdf7 SHA512 969ebbf4da4514cb83e3abcff637f7ba301c4f072f1f983b3cd3cfd3b0643b55af6eacca3c76e39e11ea9ef6e465be03dfa7ce1d6c988cabbd42cdd95d1e2552
+DIST thc-ipv6-3.2.tar.gz 1595453 BLAKE2B f1bb1cdc31f4cf4d067b39997ca3cc2d6d8c15e7a8c585c7c494f03e229fccbcd65677e382a65f0e650d79278f5ede89173db1cdf313ade7c48dff1566856afa SHA512 648db4618ebb83572e2e318cdbb284fe96a86adf335f7dd9b26fd010c76d12e9137ed7367207c66c93c1961c868d3917d706db9f597289ac47ea3f9b83c03441

diff --git a/net-analyzer/thc-ipv6/files/thc-ipv6-3.2-stdint.patch b/net-analyzer/thc-ipv6/files/thc-ipv6-3.2-stdint.patch
new file mode 100644
index 00000000000..7873563b237
--- /dev/null
+++ b/net-analyzer/thc-ipv6/files/thc-ipv6-3.2-stdint.patch
@@ -0,0 +1,10 @@
+--- thc-ipv6-3.2/dnsrevenum6.c
++++ thc-ipv6-3.2/dnsrevenum6.c
+@@ -17,6 +17,7 @@
+ 
+ #include <stdio.h>
+ #include <stdlib.h>
++#include <stdint.h>
+ #include <string.h>
+ #include <strings.h>
+ #include <string.h>

diff --git a/net-analyzer/thc-ipv6/thc-ipv6-3.0.ebuild b/net-analyzer/thc-ipv6/thc-ipv6-3.0.ebuild
index 5151e3d3cec..d4aee56ff48 100644
--- a/net-analyzer/thc-ipv6/thc-ipv6-3.0.ebuild
+++ b/net-analyzer/thc-ipv6/thc-ipv6-3.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -24,6 +24,9 @@ DEPEND="net-libs/libpcap
 	ssl? ( dev-libs/openssl:* )"
 RDEPEND="${DEPEND}"
 
+PATCHES=( "${FILESDIR}/${PN}-3.2-stdint.patch"
+	"${FILESDIR}"/${PN}-3.0-Makefile.patch )
+
 src_unpack() {
 	if [[ ${PV} != *9999 ]]; then
 		default_src_unpack
@@ -33,15 +36,13 @@ src_unpack() {
 }
 
 src_prepare() {
-	epatch "${FILESDIR}"/${PN}-3.0-Makefile.patch
-	sed -i \
-		-e '/^CFLAGS=/s,CFLAGS=,CFLAGS?=,' \
-		Makefile
+	sed -e '/^CFLAGS=/s,CFLAGS=,CFLAGS?=,' \
+		-i Makefile || die
 	if ! use ssl ; then
 		sed -e '/^HAVE_SSL/s:^:#:' \
 			-i Makefile
 	fi
-	eapply_user
+	default
 }
 
 src_compile() {

diff --git a/net-analyzer/thc-ipv6/thc-ipv6-3.0.ebuild b/net-analyzer/thc-ipv6/thc-ipv6-3.2.ebuild
similarity index 78%
copy from net-analyzer/thc-ipv6/thc-ipv6-3.0.ebuild
copy to net-analyzer/thc-ipv6/thc-ipv6-3.2.ebuild
index 5151e3d3cec..a0934cf80b9 100644
--- a/net-analyzer/thc-ipv6/thc-ipv6-3.0.ebuild
+++ b/net-analyzer/thc-ipv6/thc-ipv6-3.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -15,7 +15,7 @@ SLOT="0"
 IUSE="ssl"
 
 if [[ ${PV} != *9999 ]]; then
-	SRC_URI="http://www.thc.org/releases/${P}.tar.gz"
+	SRC_URI="https://github.com/vanhauser-thc/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
 	KEYWORDS="~amd64 ~x86"
 fi
 
@@ -24,6 +24,8 @@ DEPEND="net-libs/libpcap
 	ssl? ( dev-libs/openssl:* )"
 RDEPEND="${DEPEND}"
 
+PATCHES=( "${FILESDIR}/${PN}-3.2-stdint.patch" )
+
 src_unpack() {
 	if [[ ${PV} != *9999 ]]; then
 		default_src_unpack
@@ -33,15 +35,13 @@ src_unpack() {
 }
 
 src_prepare() {
-	epatch "${FILESDIR}"/${PN}-3.0-Makefile.patch
-	sed -i \
-		-e '/^CFLAGS=/s,CFLAGS=,CFLAGS?=,' \
-		Makefile
+	sed -e '/^CFLAGS=/s,CFLAGS=,CFLAGS?=,' \
+		-i Makefile || die
 	if ! use ssl ; then
 		sed -e '/^HAVE_SSL/s:^:#:' \
 			-i Makefile
 	fi
-	eapply_user
+	default
 }
 
 src_compile() {

diff --git a/net-analyzer/thc-ipv6/thc-ipv6-9999.ebuild b/net-analyzer/thc-ipv6/thc-ipv6-9999.ebuild
index 5151e3d3cec..a0934cf80b9 100644
--- a/net-analyzer/thc-ipv6/thc-ipv6-9999.ebuild
+++ b/net-analyzer/thc-ipv6/thc-ipv6-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -15,7 +15,7 @@ SLOT="0"
 IUSE="ssl"
 
 if [[ ${PV} != *9999 ]]; then
-	SRC_URI="http://www.thc.org/releases/${P}.tar.gz"
+	SRC_URI="https://github.com/vanhauser-thc/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
 	KEYWORDS="~amd64 ~x86"
 fi
 
@@ -24,6 +24,8 @@ DEPEND="net-libs/libpcap
 	ssl? ( dev-libs/openssl:* )"
 RDEPEND="${DEPEND}"
 
+PATCHES=( "${FILESDIR}/${PN}-3.2-stdint.patch" )
+
 src_unpack() {
 	if [[ ${PV} != *9999 ]]; then
 		default_src_unpack
@@ -33,15 +35,13 @@ src_unpack() {
 }
 
 src_prepare() {
-	epatch "${FILESDIR}"/${PN}-3.0-Makefile.patch
-	sed -i \
-		-e '/^CFLAGS=/s,CFLAGS=,CFLAGS?=,' \
-		Makefile
+	sed -e '/^CFLAGS=/s,CFLAGS=,CFLAGS?=,' \
+		-i Makefile || die
 	if ! use ssl ; then
 		sed -e '/^HAVE_SSL/s:^:#:' \
 			-i Makefile
 	fi
-	eapply_user
+	default
 }
 
 src_compile() {


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2017-12-18 13:22 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-12-18 13:22 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/thc-ipv6/files/, net-analyzer/thc-ipv6/ Michael Weber

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox